{% extends 'base.html' %}

{% block content %}
<h1>Gestion de {{ tp }} dans {{ cours}} </h1> 

<h2>Validation automatique du TP</h2>
<b>ATTENTION:</b> le traitement peut être long car fonction du nombre d'étudiants. Une fois lancé, il faut absolument attendre la fin du script et l'affichage du résultat.
<ul>
    <div id="loading1"> <b> SVP Attendre la fin du traitement</b> </div>
    <div id="content1">
    <li> collecte et validation automatique :
        <a href="{{url_for('valide_auto')}}">
			<div style="text-align:center">
				<button type="button" style="width:150px" onclick="loading1();">Validation auto</button>
			</div></a>
    </li>
    <li> ou collecte avec nbgrader :
        <a href="{{url_for('collect')}}">
			<div style="text-align:center">
				<button type="button" style="width:150px" onclick="loading1();">Collecte TP</button>
			</div></a>
     </li>
    <li> puis validation automatique: 
	<a href="{{url_for('bilanTPautograde')}}">
			<div style="text-align:center">
				<button type="button" style="width:150px" onclick="loading1();">Notation TP</button>
			</div></a>
    </li>
 </div>
 <li> résultat bilan validation (version html): 
	 <div style="text-align:center">
		 <a href="../static/{{ cours }}/validation/bilan_{{ tp }}.html">
		   <button type="button" style="width:150px">Bilan TP</button>
		 </a> 
	</div>
</li>
</ul>

<h3>notes automatiques par étudiants (fichier csv)</h3>
<ul>
	<li> <strong>visualisation des notes automatiques:  <a href="{{ url_for('notes', file = fichier) }}">{{ fichier }}</a></strong></li>
	<li> exportation tomuss des notes (notation automatique): 
		<div style="text-align:center"> 
			<button type="button" style="width:150px"> 
				<a href="{{ url_for('tomuss', file = fichier) }}">Tomuss notes auto</a>
			</button>
		</div>
	</li>
</ul>

<h3> notes avec notation manuelle par étudiants (fichier csv)</h3>
<ul>
    <li><strong>création/mise à jour du fichier de notes: <a href="{{ url_for('notesTP', nomtp=tp) }}">{{fichier1}}</a></strong></li>
    <li><strong>visualisation des notes:                  <a href="{{ url_for('notes', file = fichier1) }}">{{ fichier1 }}</a></strong></li>
    <li><strong>édition/modification des notes:           <a href="https://{{ request.host }}/services/{{ cours }}/edit/validation/{{ fichier1 }}">{{ fichier1 }}</a></strong></li>
    <li>exportation tomuss des notes: 
        <div style="text-align:center"> 
        	<button type="button" style="width:150px"> 
		         <a href="{{ url_for('tomuss', file = fichier1) }}">Tomuss notes</a>
		</button>
	</div>
    </li>
    <li>exportation tomuss des commentaires: 
        <div style="text-align:center"> 
        	<button type="button" style="width:150px"> 
			    <a href="{{ url_for('tomuss_comment', file = fichier1) }}">Tomuss comments</a>
		</button>
	</div>
    </li>
</ul>

<h2>Configuration de l'évaluation</h2>
<h3>fichier de configuration: 
<a href="https://{{ request.host }}/services/{{ cours }}/edit/{{ tp }}.cfg">{{ tp }}.cfg</a>
</h3>

<h2>Génération de l'évaluation</h2>
A effectuer dans l'ordre par défaut
<div id="loading"> <b> SVP Attendre la fin du traitement</b> </div>
<div id="content">
<h3>collecte des TP des étudiants</h3>
<ul>
    <li> collecte avec nbgrader 
        <a href="{{url_for('collect')}}">
			<div style="text-align:center">
				<button type="button" style="width:150px" onclick="loading();">collect TP</button>
			</div></a>
     </li>
</ul>

<h3>génération de la liste des étudiants</h3>
<b>ATTENTION:</b> remplace la liste courante et ajout dans la base de données nbgrader
<ul>
    <li> création à partir des étudiants inscrits
	    <a href="{{ url_for('add_etudiants_tp', TP=tp) }}">
			<div style="text-align:center">
				<button type="button" style="width:150px" onclick="loading();">liste étudiant</button>
			</div></a>
     </li>
    <li> création à partir des notebooks soumis 
        <a href="{{url_for('add_notebooks')}}">
			<div style="text-align:center">
				<button type="button" style="width:150px" onclick="loading();">liste notebook</button>
			</div></a>
     </li>
</ul>

<h3>génération du bilan d'évaluation</h3>
<b>ATTENTION:</b> le traitement peut être long car fonction du nombre d'étudiants. Une fois lancé, il faut absolument attendre la fin du script et l'affichage du résultat.
<ul>
   <li>version sans autograde (attention long): 
		<a href="{{url_for('bilanTP')}}">
			<div style="text-align:center">
				<button type="button" style="width:150px" onclick="loading();"> bilanTP</button>
			</div></a>
   </li>
   <li> version avec autograde (attention tres long!): 
		<a href="{{url_for('bilanTPautograde')}}">
			<div style="text-align:center">
				<button type="button" style="width:150px" onclick="loading();"> + autograde</button>
			</div></a>
   </li>
   <li>version avec autograde et sortie pdf (attention très long !!): 
		<a href="{{url_for('bilanTPpdf')}}">
			<div style="text-align:center">
				<button type="button" style="width:150px" onclick="loading();"> + pdf</button>
			</div></a>
   </li>
   <li>version avec autograde et sortie pandoc pdf (attention très long !!): 
		<a href="{{url_for('bilanTPpandoc')}}">
			<div style="text-align:center">
				<button type="button" style="width:150px" onclick="loading();"> + pandoc</button>
			</div></a>
   </li>
   <li> calcul similitude entre les groupes de TP (attention long !!): 
		<a href="{{url_for('simil_GrpTP')}}">
			<div style="text-align:center">
				<button type="button" style="width:150px" onclick="loading();">similitude GrpTP</button>
			</div></a>
   </li>
</ul>

</div>


<h2>Bilan de l'évaluation</h2>

<h3>liste des étudiants evalués :
   <a href="https://{{ request.host }}/services/{{ cours }}/edit/validation/liste_{{ tp }}.txt">liste_{{ tp }}.txt</a>
</h3>

<h3>bilan d'évaluation pour tous les étudiants</h3>
<ul>
	<li><strong>version html <a href="../static/{{ cours }}/validation/bilan_{{ tp }}.html">bilan_{{ tp }}.html</a></strong></li>
	<li><strong>version pdf  <a href="../static/{{ cours }}/validation/bilan_{{ tp }}.pdf">bilan_{{ tp }}.pdf</a></strong></li>
</ul>

<h3>fichier des notes</h3>
<ul>

	<li><strong>notes automatiques: édition de: <a href="https://{{ request.host }}/services/{{ cours }}/edit/validation/{{ fichier }}">{{ fichier }}</a></strong></li>
	<li><strong>notes manuelles:    édition de: <a href="https://{{ request.host }}/services/{{ cours }}/edit/validation/{{ fichier1 }}">{{ fichier1 }}</a></strong></li>
</ul>

<h3>fichier de similitude (fichier csv)</h3>
<ul>
	<li><strong>visualisation de: <a href="{{ url_for('notes', file = fichier2) }}">{{ fichier2 }}</a></strong></li>
	<li><strong>édition       de: <a href="https://{{ request.host }}/services/{{ cours }}/edit/validation/{{ fichier2 }}">{{ fichier2 }}</a></strong></li>
</ul>

<h2>Accès aux dossiers des TP des etudiants </h2>

<h3>dossier du TP: 
<a href="https://{{ request.host }}/services/{{ cours }}/tree/source/{{tp}}">{{cours}}/source/{{tp}}/</a>
</h3>

<h3>dossier de validation:  
<a href="https://{{ request.host }}/services/{{ cours }}/tree/validation">{{cours}}/validation/</a>
</h3>

{% endblock %}

{% block scripts %}
<script type="text/javascript">// <![CDATA[
        function loading(){
            $("#loading").show();
            $("#content").hide();
        }
// ]]></script>
<script type="text/javascript">// <![CDATA[
        function loading1(){
            $("#loading1").show();
            $("#content1").hide();
        }
// ]]></script>

{{super()}}
{% endblock %}


